%global momorel 1
%global json_glib_version 1.2

Name:           geocode-glib
Version: 3.26.0
Release: %{momorel}m%{?dist}
Summary:        Geocoding helper library

Group:		System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/
Source0: http://download.gnome.org/sources/geocode-glib/3.26/geocode-glib-%{version}.tar.xz
NoSource: 0

BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  json-glib-devel >= %{json_glib_version}
BuildRequires:  libsoup-devel

Requires:       json-glib%{?_isa} >= %{json_glib_version}

%description
geocode-glib is a convenience library for the geocoding (finding longitude,
and latitude from an address) and reverse geocoding (finding an address from
coordinates). It uses Nominatim service to achieve that. It also caches
(reverse-)geocoding requests for faster results and to avoid unnecessary server
load.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
%make  V=1


%install
%make_install
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_libexecdir}/installed-tests/


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING.LIB NEWS README
%{_libdir}/libgeocode-glib.so.*
%{_libdir}/girepository-1.0/GeocodeGlib-1.0.typelib

%files devel
%{_includedir}/geocode-glib-1.0/
%{_libdir}/libgeocode-glib.so
%{_libdir}/pkgconfig/geocode-glib-1.0.pc
%{_datadir}/gir-1.0/GeocodeGlib-1.0.gir
%{_datadir}/icons/gnome/scalable/places/*.svg
#%%doc %{_datadir}/gtk-doc/


%changelog
* Sat Sep 08 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.26.0-1m)
- update to 3.26.0

* Fri Apr 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.25.4.1-1m)
- update to 3.25.4.1

* Thu Aug 10 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.0-1m)
- update to 3.24.0

* Tue Mar 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.90-1m)
- update to 3.23.90

* Thu Jan 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.20.1-1m)
- update to 3.20.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.2-1m)
- update to 3.12.2

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.0-1m)
- update to 3.12.0

* Thu Mar 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.92.2-1m)
- update to 3.11.92.2

* Sun Feb 23 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.5-1m)
- update to 3.11.5

* Fri Dec 27 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.10.0-1m)
- import from fedora

